Subject: Comments on draft-thaler-v6ops-teredo-extensions-01

From: Rémi Denis-Courmont <[email-masked]>
Date: Tue, 22 Jul 2008 12:19:28 +0300

Hello,

Generally, the document should probably use the Teredo IANA prefix rather than 
the former 6bone Microsoft prefix, no? I can also understand why the sample 
IPv4 prefix is not used (need several addresses in preferrably separate 
submets), but I wonder if this is acceptable.

Section 3 could mention that the connectivity matrix is symmetric, or even not 
draw one half to make it obvious. There seems to be some XML typo here:

     Yes = Supported by <xref target="RFC4380"/>.

Section 3.2 is spelt UPnP-specifically. I may well be missing something, but 
it would seem to work with any middlebox mapping protocol, including SOCKSv5, 
NAT-PMP, or even TURN (though I am not convinced that Teredo over TURN makes 
much practical sense).

Regards

-- 
Rémi Denis-Courmont
http://www.remlab.net/